#ifndef CGEN2KILLDIALOG_H
#define CGEN2KILLDIALOG_H

#include <QDialog>
#include <ui_CGen2KillDialog.h>
#include "../../../ui/ConfigDialog.h"

#include <QrfeReaderInterfaceGlobal>

class QrfeGen2Tag;

class CGen2KillDialog : public QDialog, ConfigDialog
{
    Q_OBJECT

public:
    CGen2KillDialog(QWidget *parent = 0);
    ~CGen2KillDialog();

public slots:
    int exec(QrfeGen2Tag* tag);

    void tryAccept();

private:
	QrfeGen2Tag* 		m_tag;

    Ui::CGen2KillDialogClass ui;
};

#endif // CGEN2KILLDIALOG_H
